gnutls_transport_set_pull_timeout_function(3)

NAME
gnutls_transport_set_pull_timeout_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_pull_timeout_function(gnutls_session_t session, gnutls_pull_timeout_func func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_pull_timeout_func func
    a callback function

DESCRIPTION
This is the function where you set a function for gnutls to know whether data are ready to be received within a time limit in milliseconds. The callback should return 0 on timeout, a positive number if data can be received, and -1 on error. If the data_size is non-zero that function should copy that amount of data received in peek mode (i.e., if any other function is called to receive data, it should return them again). The callback function is used in DTLS only. gnutls_pull_timeout_func is of the form, ssize_t (*gnutls_pull_timeout_func)(gnutls_transport_ptr_t, void*data, size_t size, unsigned int ms);

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.